﻿$packageName = 'google-chrome-x64'
$fileType = 'exe'
$silentArgs = ''
$url = $('' +
  'https://dl.google.com/tag/s/appguid%3D%7B8A69D345-D564-463C-AFF1-A69D9E530F96' +
  '%7D%26iid%3D%7B00000000-0000-0000-0000-000000000000%7D%26lang%3Den%26browser' +
  '%3D4%26usagestats%3D0%26appname%3DGoogle%2520Chrome%26needsadmin' +
  '%3Dprefers%26ap%3Dx64-stable/update2/installers/ChromeSetup.exe'
)
$version = '37.0.2062.102'

function Find-CID {
  param([String]$croot, [string]$cdname, [string]$ver)

  if (Test-Path $croot) {
  Get-ChildItem -Force -Path $croot | foreach {
    $CurrentKey = (Get-ItemProperty -Path $_.PsPath)
    if ($CurrentKey -match $cdname -and $CurrentKey -match $ver) {
    return $CurrentKey.PsChildName
    }
  }
  }
  return $null
}

$uroot = 'HKLM:\SOFTWARE\Google\Update\ClientState'
$uroot64 = 'HKLM:\SOFTWARE\Wow6432Node\Google\Update\ClientState'

try {

  $msid = Find-CID $uroot "x64-stable-multi-chrome" "$version"
  if ($msid -eq $null) {
  # try 64bit registry
    $msid = Find-CID $uroot64 "x64-stable-multi-chrome" "$version"
  }
  if ($msid -ne $null) {
     Write-Host "Google Chrome $version (64-bit) is already installed."
  } else {
    Install-ChocolateyPackage $packageName $fileType $silentArgs $url
  }

} catch {
  Write-ChocolateyFailure $packageName $($_.Exception.Message)
  throw
}
